# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	PPPoE Configuration for Plusnet Fibre users
Name:		plusnet-fttc
Version:	0.10
Release:	3.%{__distinit}%{__distvers}
License:	GPL-2.0-or-later
URL:		http://www.city-fan.org/ftp/contrib/sysutils/
Source0:	plusnet-fttc-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	grep
BuildRequires:	make
BuildRequires:	systemd
Requires:	logrotate
Requires:	ppp
Requires:	systemd

Requires(post): coreutils, grep, systemd
Requires(preun): systemd
Requires(postun): systemd

%description
This is a set of configuration files to make setting up of a PPPoE
(Point to Point over Ethernet) connection to Plusnet (a U.K. ISP -
see http://www.plus.net/) easy, particularly for a firewall/server
system that can't run the NetworkManager GUI. It requires a
systemd-based distribution such as a current Fedora.

Once installed, you'll need to edit /etc/ppp/chap-secrets and
/etc/ppp/peers/plusnet to set up your account details.

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot}

%post
if [ $1 -eq 1 ]; then 

	# Initial installation 
	systemctl daemon-reload &>/dev/null || :

	# Make sure ip-up.plusnet and ip-down.plusnet are called
	[ ! -f /etc/ppp/ip-up.local ] && touch /etc/ppp/ip-up.local && chmod 755 /etc/ppp/ip-up.local
	[ ! -f /etc/ppp/ip-down.local ] && touch /etc/ppp/ip-down.local && chmod 755 /etc/ppp/ip-down.local
	grep --silent -F ip-up.plusnet /etc/ppp/ip-up.local ||
		echo '[ -x /etc/ppp/ip-up.plusnet ] && /etc/ppp/ip-up.plusnet "$@"' >> /etc/ppp/ip-up.local
	grep --silent -F ip-down.plusnet /etc/ppp/ip-down.local ||
		echo '[ -x /etc/ppp/ip-down.plusnet ] && /etc/ppp/ip-down.plusnet "$@"' >> /etc/ppp/ip-down.local

fi

%preun
if [ $1 -eq 0 ]; then
	# Package removal, not upgrade
	systemctl --no-reload disable plusnet-fttc.service &>/dev/null || :
	systemctl stop plusnet-fttc.service &>/dev/null || :
fi

%postun
systemctl daemon-reload &>/dev/null || :

%files
%license COPYING
%doc README
%{_sysconfdir}/logrotate.d/plusnet-fttc
%{_sysconfdir}/ppp/chap-secrets.plusnet
%config(noreplace) %{_sysconfdir}/ppp/ip-up.plusnet
%config(noreplace) %{_sysconfdir}/ppp/ip-down.plusnet
%config(noreplace) %{_sysconfdir}/ppp/peers/plusnet-fttc
%{_unitdir}/plusnet-fttc.service

%changelog
* Thu Mar 30 2023 Paul Howarth <paul@city-fan.org> - 0.10-3
- Use SPDX-format license tag

* Wed Apr 27 2022 Paul Howarth <paul@city-fan.org> - 0.10-2
- Add dist tags

* Fri Jul  6 2012 Paul Howarth <paul@city-fan.org> - 0.10-1
- Initial rpm version
